import clsx from 'clsx'

export function Container({ children, className }) {
  return (
    <div
      className={clsx(
        'group-[.is-minimized]:lg:w-10/12',
        'group-[.is-minimized]:xl:w-8/12',
        'group-[.is-minimized]:2xl:w-6/12',
        'xl:w-4/6 2xl:w-3/5',
        'mx-auto',
        className,
      )}
    >
      {children}
    </div>
  )
}
